#gCube Dependency Walker Pipeline
Given a Jenkins project P:
 - navigate the maven modules built by P
 - return the list of projects that have modules depend on each maven module in P
 
Given a maven module's coordinates:
 - return the list of Jenkins projects that have modules depend on the input maven module


## Requirements
* [Jenkins](https://jenkins.io/) ver. 2.164.2 or newer
* [Pipeline plugin](https://wiki.jenkins.io/display/JENKINS/Pipeline+Plugin)
* [Pipeline: Maven](https://plugins.jenkins.io/pipeline-maven)
* [Pipeline: Basic Steps](https://plugins.jenkins.io/workflow-basic-steps) 
* [Pipeline: Dependency Walker](https://plugins.jenkins.io/pipeline-dependency-walker/) 
* [NodeLabelParameter](https://plugins.jenkins.io/nodelabelparameter) (to allow to dynamically select the node on which a job should be executed)
